<div class="main-wrapper" fxLayout="column" fxLayoutAlign="start none">

    <div class="mt" fxLayout="row" fxLayoutAlign="space-around center">
        <div class="" fxLayout="column" fxFlex="40">
            <a routerLink="/log-view" type="" class="mt">
                <i class="material-icons md-48">arrow_back</i>
            </a>
        </div>
        <div class="mt" fxLayout="column" fxFlex="60">
            <h1>Log details</h1>
        </div>
    </div>

    <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>

            <!-- uuid Column -->
            <ng-container matColumnDef="uuid">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> uuid </th>
                <td mat-cell *matCellDef="let row"> {{uuid}} </td>
            </ng-container>

            <!-- date Column -->
            <ng-container matColumnDef="date">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Date </th>
                <td mat-cell *matCellDef="let row"> {{row.date | date: 'dd/MM/yyyy HH:mm:ss'}} </td>
            </ng-container>

            <!-- detailCode Column -->
            <ng-container matColumnDef="detailCodeText">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Detail code </th>
                <td mat-cell class="td-center" *matCellDef="let row"> {{row.detailCodeText}} </td>
            </ng-container>

            <!-- detail Column -->
            <ng-container matColumnDef="detail">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Details </th>
                <td mat-cell *matCellDef="let row"> {{row.detail}} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

            <!-- Row shown when there is no matching data. -->
            <tr class="mat-row" *matNoDataRow>
                <td class="mat-cell" colspan="3">No data matching the filter </td>
            </tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
    </div>
    <!-- <div class="mt">
        <a routerLink="/log-view" type="" class="mt">
            <i class="material-icons md-48">arrow_back</i>
        </a>
    </div> -->

</div>